<?php

declare(strict_types=1);

namespace Ig\IgGeodata\Domain\Model;


/**
 * This file is part of the "Geodaten" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2022 Daniel Abplanalp <typo3@internetgalerie.ch>, Internetgalerie AG
 */

/**
 * Country
 */
class Country extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * iso2Code
     *
     * @var string
     */
    protected $iso2Code = null;

    /**
     * latitude
     *
     * @var string
     */
    protected $latitude = null;

    /**
     * longitude
     *
     * @var string
     */
    protected $longitude = null;

    /**
     * name
     *
     * @var string
     */
    protected $name = null;

    /**
     * Returns the iso2Code
     *
     * @return string
     */
    public function getIso2Code()
    {
        return $this->iso2Code;
    }

    /**
     * Sets the iso2Code
     *
     * @param string $iso2Code
     * @return void
     */
    public function setIso2Code(string $iso2Code)
    {
        $this->iso2Code = $iso2Code;
    }

    /**
     * Returns the latitude
     *
     * @return string
     */
    public function getLatitude()
    {
        return $this->latitude;
    }

    /**
     * Sets the latitude
     *
     * @param string $latitude
     * @return void
     */
    public function setLatitude(string $latitude)
    {
        $this->latitude = $latitude;
    }

    /**
     * Returns the longitude
     *
     * @return string
     */
    public function getLongitude()
    {
        return $this->longitude;
    }

    /**
     * Sets the longitude
     *
     * @param string $longitude
     * @return void
     */
    public function setLongitude(string $longitude)
    {
        $this->longitude = $longitude;
    }

    /**
     * Returns the name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName(string $name)
    {
        $this->name = $name;
    }
}
