<?php

declare(strict_types=1);

namespace Ig\IgGeodata\Domain\Model;


/**
 * This file is part of the "Geodaten" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2022 Daniel Abplanalp <typo3@internetgalerie.ch>, Internetgalerie AG
 */

/**
 * Plz
 */
class Plz extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * kanton
     *
     * @var string
     */
    protected $kanton = null;

    /**
     * ortsname
     *
     * @var string
     */
    protected $ortsname = null;

    /**
     * gdenr
     *
     * @var string
     */
    protected $gdenr = null;

    /**
     * gdename
     *
     * @var string
     */
    protected $gdename = null;

    /**
     * plz
     *
     * @var int
     */
    protected $plz = null;

    /**
     * plzname
     *
     * @var string
     */
    protected $plzname = null;

    /**
     * latitude
     *
     * @var string
     */
    protected $latitude = null;

    /**
     * longitude
     *
     * @var string
     */
    protected $longitude = null;

    /**
     * Returns the kanton
     *
     * @return string
     */
    public function getKanton()
    {
        return $this->kanton;
    }

    /**
     * Sets the kanton
     *
     * @param string $kanton
     * @return void
     */
    public function setKanton(string $kanton)
    {
        $this->kanton = $kanton;
    }

    /**
     * Returns the ortsname
     *
     * @return string
     */
    public function getOrtsname()
    {
        return $this->ortsname;
    }

    /**
     * Sets the ortsname
     *
     * @param string $ortsname
     * @return void
     */
    public function setOrtsname(string $ortsname)
    {
        $this->ortsname = $ortsname;
    }

    /**
     * Returns the gdenr
     *
     * @return string
     */
    public function getGdenr()
    {
        return $this->gdenr;
    }

    /**
     * Sets the gdenr
     *
     * @param string $gdenr
     * @return void
     */
    public function setGdenr(string $gdenr)
    {
        $this->gdenr = $gdenr;
    }

    /**
     * Returns the gdename
     *
     * @return string
     */
    public function getGdename()
    {
        return $this->gdename;
    }

    /**
     * Sets the gdename
     *
     * @param string $gdename
     * @return void
     */
    public function setGdename(string $gdename)
    {
        $this->gdename = $gdename;
    }

    /**
     * Returns the plz
     *
     * @return int
     */
    public function getPlz()
    {
        return $this->plz;
    }

    /**
     * Sets the plz
     *
     * @param int $plz
     * @return void
     */
    public function setPlz(int $plz)
    {
        $this->plz = $plz;
    }

    /**
     * Returns the plzname
     *
     * @return string
     */
    public function getPlzname()
    {
        return $this->plzname;
    }

    /**
     * Sets the plzname
     *
     * @param string $plzname
     * @return void
     */
    public function setPlzname(string $plzname)
    {
        $this->plzname = $plzname;
    }

    /**
     * Returns the latitude
     *
     * @return string
     */
    public function getLatitude()
    {
        return $this->latitude;
    }

    /**
     * Sets the latitude
     *
     * @param string $latitude
     * @return void
     */
    public function setLatitude(string $latitude)
    {
        $this->latitude = $latitude;
    }

    /**
     * Returns the longitude
     *
     * @return string
     */
    public function getLongitude()
    {
        return $this->longitude;
    }

    /**
     * Sets the longitude
     *
     * @param string $longitude
     * @return void
     */
    public function setLongitude(string $longitude)
    {
        $this->longitude = $longitude;
    }
}
