<?php

declare(strict_types=1);

namespace Ig\IgGeodata\Utility;

use Ig\IgGeodata\Domain\Repository\CountryRepository;

class CountryUtility implements \TYPO3\CMS\Core\SingletonInterface {

    /**
     * countryRepository
     *
     * @var CountryRepository
     */
    protected $countryRepository = null;

    /**
     * @param CountryRepository $countryRepository country repository
     */
    public function injectCountryRepository(CountryRepository $countryRepository)
    {
        $this->countryRepository = $countryRepository;
    }

    public function findByCountryName($countryName) {
      return $this->countryRepository->findOneByName($countryName);
    }
    
    public function latlngByCountryIso2Code($countryIso2Code) {
        $entry = $this->countryRepository->findOneByIso2Code($countryIso2Code);
        return is_object($entry) ? $entry->getLongitude() . ',' . $entry->getLatitude() : null;
    }
    
}
