<?php

declare(strict_types=1);

namespace Ig\IgGeodata\Utility;
/*
Use:


// Unternehmens-ID (UID) Hack
$bfsUid = GeneralUtility::makeInstance(\Ig\IgGeodata\Utility\PlzUtility::class);
*/

class PlzUtility implements \TYPO3\CMS\Core\SingletonInterface {

    /**
     * plzRepository
     *
     * @var \Ig\IgGeodata\Domain\Repository\PlzRepository
     */
    protected $plzRepository = null;

    /**
     * @param \Ig\IgGeodata\Domain\Repository\PlzRepository $plzRepository                                          [description]
     */
    public function injectPlzRepository(\Ig\IgGeodata\Domain\Repository\PlzRepository $plzRepository)
    {
        $this->plzRepository = $plzRepository;
    }

    public function findByPlz($plz) {
      return $this->plzRepository->findOneByPlz($plz);
    }

    public function findNearestByPlz($plz) {
      return $this->plzRepository->findNearestPlz($plz);
    }
    
    public function kantonByPlz($plz) {
      $entry = $this->plzRepository->findOneByPlz($plz);
      return is_object($entry) ? $entry->getKanton() : null;
    }
    
    public function latlngByPlz($plz) {
      $entry = $this->plzRepository->findOneByPlz($plz);
      return is_object($entry) ? $entry->getLongitude() . ',' . $entry->getLatitude() : null;
    }
    
    public function ortsnameByPlz($plz) {
      $entry = $this->plzRepository->findOneByPlz($plz);
      return is_object($entry) ? $entry->getOrtsname() : null;
    }
    
    public function gemeindenameByPlz($plz) {
      $entry = $this->plzRepository->findOneByPlz($plz);
      return is_object($entry) ? $entry->getGdename() : null;
    }
    
    public function bfsnrByPlz($plz) {
      $entry = $this->plzRepository->findOneByPlz($plz);
      return is_object($entry) ? $entry->getGdenr() : null;
    }
}
